List all forms
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v1/forms \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v1/forms"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v1/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forms": [
{
"id": "<string>",
"title": "<string>",
"is_published": true,
"state": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"submissions_count": 123,
"attempt_url": "<string>",
"is_archived": true,
"is_disabled": true,
"is_suspended": true,
"created_by": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
},
"total_count": 123
}V1 API (Deprecated)
List forms
List all forms.
GET
/
forms
List all forms
This endpoint is part of API v1, which is deprecated. Please use the v2 API instead.
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
⌘I